#!/bin/bash

DBUS_PATH=$1

IP=www.baidu.com
ping -c 1 $IP >/dev/null 2>&1

if [ $? -eq 0 ]; then
    SudoWrapper -s "apt install -f -y kylin-installer 2>/dev/null"
    if [ $? -ne 0 ]; then
        content="Please manually execute [sudo apt install -f] to view more details"
        tr_content=$(Translate "${content}")
        ShowMessageBox "${DBUS_PATH}" "${tr_content}" "error"
        exit 1
    fi
    content="You have already installed the latest version of the kylin installer"
    tr_content=$(Translate "${content}")
    ShowMessageBox "${DBUS_PATH}" "${tr_content} $(dpkg -l kylin-installer | grep ^ii | awk '{print $3}')" "info"
else
    content="The network connection has failed. You may choose to proceed with the installation using a local package. Would you like to continue?"
    tr_content=$(Translate "${content}")
    output=$(ShowConfirmBox "${DBUS_PATH}" "${tr_content}" "question")
    if [ "$output" = "no" ]; then
        exit 255
    fi
    file=$(ShowPathSelector "${DBUS_PATH}" file single)
    SudoWrapper -s "dpkg -i $file"
    if [ $? -ne 0 ]; then
        content="The software package installation has failed"
        tr_content=$(Translate "${content}")
        ShowMessageBox "${DBUS_PATH}" "${tr_content}" "error"
        exit 1
    fi
    content="You have already installed kylin installer"
    tr_content=$(Translate "${content}")
    ShowMessageBox "${DBUS_PATH}" "${tr_content} $(dpkg -l kylin-installer | grep ^ii | awk '{print $3}')" "info"
fi
