#!/bin/bash

DBUS_PATH=$1

function main() {
    local confirm_str="This tool is intended for repairing the taskbar. Would you like to proceed with the execution?"
    local tr_confirm_str
    tr_confirm_str=$(Translate "${confirm_str}")

    local select
    select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
    if [ "${select}" == "no" ]; then
        exit 255
    fi

    ukui-panel -r reset
    confirm_str="Before restarting, please ensure to save your data. Would you like to restart now?"
    tr_confirm_str=$(Translate "${confirm_str}")
    select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
    if [ "${select}" == "yes" ]; then
        sleep 1
        reboot
    else
        local msg="The issue has been resolved. Please restart at your earliest convenience"
        local tr_msg
        tr_msg=$(Translate "${msg}")
        ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
        exit 0
    fi
}

main
