#!/bin/bash
#应用场景及说明:修复装软件时提示依赖关系不满足

DBUS_PATH=$1

function main() {
    IP=www.baidu.com
    ping -c 1 $IP >/dev/null 2>&1
    if [ $? -eq 0 ]; then
        SudoWrapper -a "apt update -y"
        if [ $? -ne 0 ]; then
            str="The issue repair has failed"
            tr_str=$(Translate "${str}")
            ShowMessageBox "${DBUS_PATH}" "${tr_str}" "error"
            exit 1
        fi
        SudoWrapper -s "dpkg --configure -a"
        num=$(SudoWrapper -a "apt install -fy --simulate" | grep -o '要卸载 [0-9]\+' | cut -c 11-)
        if [ $num -gt 0 ]; then
            local confirm_str="This repair will uninstall some software packages in the system, which may cause certain risks. Are you sure you want to proceed with this operation?"
            local tr_confirm_str
            tr_confirm_str=$(Translate "${confirm_str}")
            local select
            select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
            if [ "${select}" == "no" ]; then
                exit 255
            fi
        fi
        SudoWrapper -a "apt install -fy"
        if [ $? -eq 0 ]; then
            str="The issue has been successfully resolved"
            tr_str=$(Translate "${str}")
            ShowMessageBox "${DBUS_PATH}" "${tr_str}" "info"
        else
            str="The issue repair has failed"
            tr_str=$(Translate "${str}")
            ShowMessageBox "${DBUS_PATH}" "${tr_str}" "error"
            exit 1
        fi
    else
        str="The network is unavailable"
        tr_str=$(Translate "${str}")
        ShowMessageBox "${DBUS_PATH}" "${tr_str}" "error"
        exit 1
    fi
}

main
