#!/bin/bash

DBUS_PATH=$1

function main() {
	local confirm_str="Please make sure that WeChat is not on and this tool will reset WeChat.Do you wish to proceed?"
	local tr_confirm_str
	tr_confirm_str=$(Translate "${confirm_str}")

	local select
	select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
	if [ "${select}" == "no" ]; then
		exit 255
	fi

	local packagename="kylin-kwre-wechat"
	if dpkg -l | grep -q "${packagename}"; then
		if ps -ef | grep -v grep | grep "Tencent/WeChat" >/dev/null; then
			local msg_no="The wechat is open,plese shutdown the app"
			local tr_msg_no
			tr_msg_no=$(Translate "${msg_no}")
			ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
			exit 255
		fi

		echo "Fixing the problem..."
		if [ -d $HOME/.cxoffice/wechat ]; then
			rm -rf $HOME/.cxoffice/wechat
		fi

		local ARCH=$(uname -m) #判断是否是amd架构
		local SOURCE_7Z_FILE="/opt/kwre/apps/wechat/wechat_files.7z"
		local DESTINATION_DIR="$HOME/.cxoffice/."
		local CURRENT_USER=$(id -un)
		if ! [[ $ARCH == "i"* || $ARCH == "x86_64" ]]; then
			SudoWrapper -a "7z x $SOURCE_7Z_FILE -o $DESTINATION_DIR -y"
			SudoWrapper -s "chown -R $CURRENT_USER $HOME/.cxoffice/wechat"
		fi
		echo "The problem has been fixed."

		local msg="The issue has been successfully resolved"
		local tr_msg
		tr_msg=$(Translate "${msg}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
		exit 0
	else
		local msg_no="The Wechat has not been installed"
		local tr_msg_no
		tr_msg_no=$(Translate "${msg_no}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
		exit 255
	fi

}

main
