#!/bin/bash
#应用场景及说明:手动更新软件商店

DBUS_PATH=$1

package_name="kylin-software-center"
old_ver="0.0.0"
new_ver="0.0.0"

IP=www.baidu.com
ping -c 1 $IP >/dev/null 2>&1
if [ $? -eq 0 ]; then
    str="The software store version has an update available. During the update process, the software store will be closed. Are you sure you wish to proceed with this operation?"
    tr_str=$(Translate "${str}")
    output=$(ShowConfirmBox "${DBUS_PATH}" "${tr_str}" "question")
    if [ "$output" = "no" ]; then
        exit 255
    fi
    old_ver=$(dpkg -l $package_name | grep ^ii | awk '{print $3}')
    SudoWrapper -s "killall $package_name"
    SudoWrapper -a "apt -y install $package_name"
    if [ $? -eq 0 ]; then
        new_ver=$(dpkg -l $package_name | grep ^ii | awk '{print $3}')
        echo "$package_name new version: $new_ver"
        if dpkg --compare-versions "$new_ver" eq "$old_ver"; then
            str="You have installed the latest version of the software store"
            tr_str=$(Translate "${str}")
            ShowMessageBox "${DBUS_PATH}" "${tr_str}" "info"
        else
            str="The software store update has been completed"
            tr_str=$(Translate "${str}")
            ShowMessageBox "${DBUS_PATH}" "${tr_str}" "info"
        fi
    else
        str="The update was unsuccessful. Please manually execute [sudo apt install -f] to view the details"
        tr_str=$(Translate "${str}")
        ShowMessageBox "${DBUS_PATH}" "${tr_str}" "error"
        exit 1
    fi
else
    str="The network is unavailable"
    tr_str=$(Translate "${str}")
    ShowMessageBox "${DBUS_PATH}" "${tr_str}" "error"
    exit 1
fi
